#ifndef BCODETERMINALFORM_H
#define BCODETERMINALFORM_H

#include <QWidget>
#include "device/BCodeTerminal.h"

namespace Ui {
class BCodeTerminalForm;
}

class BCodeTerminalForm : public QWidget
{
    Q_OBJECT

public:
    explicit BCodeTerminalForm(QWidget *parent = nullptr);
    ~BCodeTerminalForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);
    void displayDeviceCommandOnForm(QJsonObject command);

private slots:
    void on_bctButt_clicked();

    void on_bctCmdRepButt_clicked();

private:
    Ui::BCodeTerminalForm *ui;
};

#endif // BCODETERMINALFORM_H
